![Logo](generators/app/templates/src/assets/images/moon.png)
# generator-moonraft-boilerplate #
## A Yeoman gulp-angular generator for Moonraft Innovation Labs boilerplate ##
##### Build on top of generator-gulp-angular #####

## Usage

More informations, options, parameters in the [usage documentation page](docs/usage.md)

### Install

##### Install required tools `yo`, `gulp` and `bower`:
```
npm install -g yo gulp bower
```

##### Install `generator-moonraft-boilerplate`:
```
npm install -g generator-moonraft-boilerplate
```


### Run

##### Create a new directory, and go into:
```
mkdir my-new-project && cd $_
```

##### Run `yo moonraft-boilerplate`, and select desired technologies:
```
yo moonraft-boilerplate
```

###TODO###
1.README
2.Prompts for Sonar and Wiremock Settings
3.CLI for file creations